import {
  __export
} from "./chunks/chunk.SEHSDSX2.js";

// libs/core/src/utils/localization/localization.ts
import { configureLocalization } from "@lit/localize";

// libs/core/src/generated/locale-codes.ts
var sourceLocale = `en`;
var targetLocales = [
  `sv`
];

// libs/core/src/generated/locales/sv.ts
var sv_exports = {};
__export(sv_exports, {
  templates: () => templates
});
import { str } from "@lit/localize";
var templates = {
  "s15a16ae9f99f19bf": `Juli`,
  "s15a852e9f9a50fa5": `Juni`,
  "s17e3edbe032f79ec": `\xD6ppna kalender`,
  "s1a2dda8f763a68bd": `Januari`,
  "s1e118319b5202c41": `M\xE5n`,
  "s1e187019b5262aa6": `Maj`,
  "s241bf8eb8742b138": `Valideringsfel`,
  "s281846ef0421c71f": `November`,
  "s39938ecdae568740": `September`,
  "s407a88a592a0987c": `Augusti`,
  "s46d6587089bd0356": `N\xE4sta m\xE5nad`,
  "s5052d10b539eabf0": `Mars`,
  "s58bfb494feb8eb02": str`${0} valda`,
  "s5d929ff1619ac0c9": `S\xF6k`,
  "s5e8250fb85d64c23": `St\xE4ng`,
  "s5febcd9b311c16fe": `Scrolla h\xF6ger`,
  "s62931b2a50168976": `F\xF6reg\xE5ende m\xE5nad`,
  "s63d040e37887f17e": `Idag`,
  "s6cfed919e21ac6ac": `Tor`,
  "s6d24cd19e23b8185": `Tis`,
  "s74aa0319e62b2eb7": `Ons`,
  "s7793b811d20184fe": `December`,
  "s7fd3469f78111589": `\xD6ppna meny`,
  "s8ade4e9d5e804d6a": `F\xF6rsta tillg\xE4ngliga datum`,
  "s9836b719fa8ef857": `L\xF6r`,
  "s987ac119fac8d621": `S\xF6n`,
  "s9af3c72c33088826": str`Det finns ${0} fel att åtgärda innan du kan fortsätta:`,
  "sa6f2645578b2d2bc": `\xC5r`,
  "sa7cd5c2ff6d266e7": `Oktober`,
  "sb47daaf9e1c4a905": `M\xE5nad`,
  "sb4f1dffbb6be6302": `Rensa`,
  "sbc083a1dbee9af73": `Februari`,
  "scb6b9cb49cf93277": `April`,
  "sd898d99fd9c13de6": `S\xF6k i listan av val`,
  "sdc27791837e94961": `Visa ut\xF6kad beskrivning`,
  "sdc42f1da42d6411a": `Rensa text`,
  "se0955919920ee87d": `Dag`,
  "se4129fd6b9d7b4c2": `Sista tillg\xE4ngliga datum`,
  "sf295af199c723ec8": `Fre`
};

// libs/core/src/utils/localization/localization.ts
var localizedTemplates = /* @__PURE__ */ new Map([["sv", sv_exports]]);
var gdsInitLocalization = ({ extraLocales, extraTemplates } = {
  extraLocales: [],
  extraTemplates: /* @__PURE__ */ new Map()
}) => {
  const _targetLocales = [...targetLocales];
  for (const [locale, template] of extraTemplates) {
    localizedTemplates.set(locale, template);
  }
  for (const locale of extraLocales) {
    _targetLocales.push(locale);
  }
  return configureLocalization({
    sourceLocale,
    targetLocales: _targetLocales,
    loadLocale: async (locale) => {
      const localModule = localizedTemplates.get(locale);
      if (localModule) {
        return localModule;
      }
      return Promise.reject(new Error(`Locale ${locale} not found`));
    }
  });
};
export {
  gdsInitLocalization,
  targetLocales
};
