import type { ComplexAttributeConverter } from 'lit';
/**
 * Converts between an ISO date string and a Date object.
 */
export declare const dateConverter: ComplexAttributeConverter<Date, string>;
/**
 * Converts between a comma-separated list of ISO date strings and an array of Date objects.

 */
export declare const dateArrayConverter: ComplexAttributeConverter<Date[], string>;
/**
 * Converts between a comma-separated list of strings and an array of strings.
 */
export declare const stringArrayConverter: ComplexAttributeConverter<string[], string>;
